lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From DM Smith <dmsmith...@gmail.com>
Subject Re: Java 1.6 EOL
Date Fri, 16 Mar 2012 15:59:32 GMT
On 03/16/2012 05:04 AM, Dawid Weiss wrote:
> So close!
>
> https://blogs.oracle.com/henrik/entry/updated_java_6_eol_date?msgid=3-6077692575
>
> Dawid

It's only close as a date. It is rather far away in practice. It is 
developer only at this point.

Also, they are working on a Mac version, but I doubt it will be 
available before 6 is EOL. And when it is available, I wonder how far 
back it will go in support of prior Mac OS versions.

That said, I think it is reasonable to expect that Lucene 1.x, 2.x, 3.x, 
4.x will be run on Java 7 and that it will run well. While 1.x and 2.x 
require 1.4, 3.x requires 5, and 4.x requires 6. It might be good to 
test (some of) these using 7. That is build with a prior version and 
test with a more recent version.

Is there a place (e.g. on the wiki) that states what is supported as a jre?

-- DM


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: dev-help@lucene.apache.org


Mime
View raw message